> For the complete documentation index, see [llms.txt](https://docs.qatts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qatts.com/master-1/ui-action-methods/assertion-methods/assert-product-element.md).

# Assert Product Element

***assertField*** methods compares the actual value of the Product element with the expected value. There are two method variants in this category. The first method with additional param ***Object objectValue*** can used when you know exact expected value or the expected value is expected to be from previous test result.&#x20;

The latter method will perform assertion from the test data found in the excel sheet.

#### Syntax

1. ***boolean assertField( String prodElementName, String elementType, Object objectValue)***
2. ***boolean assertField( String prodElementName, String elementType)***

| **Name**              | **Type** | **Description**                               |
| --------------------- | -------- | --------------------------------------------- |
| ***prodElementName*** | String   | Dom element name                              |
| ***elementType***     | String   | Type of the UI element. \[input, view, error] |
| ***objectValue***     | Object   | The actual value                              |

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.qatts.com/master-1/ui-action-methods/assertion-methods/assert-product-element.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
